Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 07 Jul 2021 07:18:57 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I had returned 3 items, When asked if I could get an exchange for the right size I was told I cannot and the amount that I spent is not credited back to me!  I have already returned the products 

Another issue,  the order clearly displays the amount of shukran credits I'm supposed to receive but it did not get credited!! 

The chat box customer service is terrible , it just closes without a the issue being resolved! 

PLEASE Solve this ISSUE immediately. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2815555